<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Users</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_masterdata::sidebar_masterdata" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> Users
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success mb-3" role="alert" th:if="${berhasil != null}">
                    <i class="fa fa-check"></i> <span th:text="${berhasil}"></span>
                </div>
                <div class="card shadow-sm border-0">
                    <div class="card-header p-4">
                        <div class="d-flex justify-content-between">
                            <span class="fw-bold text-secondary">List Of User</span>
<!--                            <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#departmentModal">-->
<!--                                Add Department-->
<!--                            </button>-->
                        </div>
                    </div>
                    <div class="card-body pt-4 pb-0 border-0">
                        <form method="get">
                            <div class="row">

                                <div class="col-md-9">
                                    Show entries <span sd:page-size-selector="javascript"></span>
                                </div>

                                <div class="col-md-3" align="right">
                                    <input
                                            class="form-control me-2"
                                            type="text"
                                            placeholder="Search"
                                            name="search"
                                            th:value="${search}"
                                            aria-label="Search"
                                    />
                                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                                </div>

                            </div>
                            <br />
                        </form>
                    </div>

                    <div class="card-body p-0 pb-0">
                        <div class="table-responsive mb-0">
                            <table class="table table-striped table-hover small mb-0">
                                <thead>
                                <tr>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Name</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Username</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Roles</th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                                    <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                                </tr>
                                </thead>
                                <tbody class="align-middle">
                                <tr th:each="dataEmployee,row : ${listEmployee}">
                                    <td class="border-start-0 border-end-0 text-end" th:text="${(row.index + 1) + (listEmployee.number * listEmployee.size)+'.'}">1.</td>
                                    <td class="border-start-0 border-end-0" >
                                        <span th:text="${dataEmployee[1]}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <span th:text="${dataEmployee[2]}"></span>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <pre th:text="${dataEmployee[4]}"></pre>
                                    </td>
                                    <td class="border-start-0 border-end-0">
                                        <a class="btn btn-primary btn-sm" th:href="@{/masterdata/user/roleedit(user = ${dataEmployee[0]})}"
                                           title="Edit Role">
                                            <i class="fa fa-gear"></i>
                                        </a>
                                    </td>
                                    <td th:if="${dataEmployee[3] == true}" class="border-start-0 border-end-0">
                                        <form method="post" th:action="@{/masterdata/user/nonactive(user=${dataEmployee[0]})}">
                                            <button type="submit" class="btn btn-success btn-sm"
                                                    onclick="return confirm('Are you sure want to inactive this?')">
                                                Active
                                            </button>
                                        </form>
                                    </td>
                                    <td th:if="${dataEmployee[3] == false}" class="border-start-0 border-end-0">
                                        <form method="post" th:action="@{/masterdata/user/active(user=${dataEmployee[0]})}">
                                            <button type="submit" class="btn btn-danger btn-sm"
                                                    onclick="return confirm('Are you sure want to active this?')">
                                                NonActive
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-footer text-end p-4 bg-body border-top-0">
                        <nav aria-label="Page navigation example">
                            <ul class="pagination" sd:pagination="full"></ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>

<script>
    $('#departmentModal').on('shown.bs.modal', function () {
        // Inisialisasi Select2 untuk 'fakultas' setelah modal ditampilkan

        // Inisialisasi Select2 untuk 'department' setelah modal ditampilkan
        $('#companies').select2({
            theme: "bootstrap-5",
            width: '100%',  // Set width to 100% explicitly
            placeholder: 'Pilih Department',  // Tambahkan placeholder
            dropdownParent: $('#departmentModal')  // Pastikan dropdown berada di dalam modal
        });
    });
</script>

<script>
    $(document).ready(function() {
        var hasErrors = $('.error-message').length > 0; // Memeriksa jika ada elemen dengan kelas error-message
        console.log("Has Errors:", hasErrors); // Menampilkan apakah ada error
        if (hasErrors) {
            console.log("Showing modal"); // Menampilkan pesan di console
            $('#departmentModal').modal('show');
        }
    });
</script>
<script>

    // Load KPI data ke modal saat ingin mengedit
    function loadDepartmentData(button) {
        const id = $(button).data('id');
        $.ajax({
            url: '/masterdata/department/data/' + id,
            method: 'GET',
            success: function(response) {
                // Mengisi data ke dalam textarea dan input yang sesuai
                $('#departmentModal #companies').val(response.companies.id);
                $('#departmentModal #departmentCode').val(response.departmentCode);
                $('#departmentModal #departmentName').val(response.departmentName);
                $('#departmentModal #departmentClass').val(response.departmentClass.id);
                $('#departmentModal #idDept').val(response.id);
                $('#departmentModal').modal('show');  // Menampilkan modal setelah data diambil
            },
            error: function(error) {
                console.error("Error fetching Department data:", error);
            }
        });
    }

    $('#departmentModal').on('hidden.bs.modal', function() {
        // $(this).find('textarea, input, select').val(''); // Clear all textareas, inputs, and selects
        $(this).find('.form-control').val('');
        $(this).find('.form-select').val('');
        $('.error-message').empty();
    });


</script>








<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Users</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Users-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Users</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->
<!--        <div class="col-md-6">-->

<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${deleted != null}">-->
<!--                <h4>Delete Data Success!</h4>-->

<!--                <p>Data Berhasil Dihapus.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>-->
<!--            </div>-->

<!--            <div class="box">-->
<!--                <form method="get">-->
<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <h3 class="box-title">List of Department</h3>-->
<!--                            </div>-->
<!--                            <div class="col-md-6" align="right">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--&lt;!&ndash;                                <div class="input-group input-group-sm" style="width: 150px;">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <a th:href="@{/masterdata/role}" name="tambah" type="button" class="btn btn-block btn-default">Role List</a>&ndash;&gt;-->
<!--&lt;!&ndash;                                </div>&ndash;&gt;-->
<!--                            </div>-->



<!--                            <div class="col-md-6" align="right">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </form>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                <div class="box-body table-responsive no-padding">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Name</th>-->
<!--                            <th>Username</th>-->
<!--                            <th>Role</th>-->
<!--                            <th style="width: 40px"></th>-->
<!--                            <th style="width: 40px"></th>-->
<!--                        </tr>-->
<!--                        <tr th:each="dataEmployee,row : ${listEmployee}">-->
<!--                            <td th:text="${(row.index + 1) + (listEmployee.number * listEmployee.size)}">1.</td>-->
<!--                            <td th:text="${dataEmployee.fullName}">BEASISWA</td>-->
<!--                            <td th:text="${dataEmployee.user.getUsername()}">BEASISWA</td>-->
<!--                            <td th:text="${dataEmployee.user.role.getName()}">BEASISWA</td>-->
<!--                            <td>-->
<!--                                <a class="btn btn-primary btn-xs" th:href="@{/masterdata/user/roleedit(employes = ${dataEmployee.id})}"itle="Edit">Edit Role</a>-->
<!--                            </td>-->
<!--                            <td th:if="${dataEmployee.user.active == true}">-->
<!--                                <form method="post" th:action="@{/masterdata/user/nonactive(user=${dataEmployee.user.getId()})}">-->
<!--                                    <button type="submit" class="btn btn-success btn-xs"-->
<!--                                            onclick="return confirm('Are you sure want to inactive this?')">-->
<!--                                        Active-->
<!--                                    </button>-->
<!--                                </form>-->
<!--                            </td>-->
<!--                            <td th:if="${dataEmployee.user.active == false}">-->
<!--                                <form method="post" th:action="@{/masterdata/user/active(user=${dataEmployee.user.getId()})}">-->
<!--                                    <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                            onclick="return confirm('Are you sure want to active this?')">-->
<!--                                        NonActive-->
<!--                                    </button>-->
<!--                                </form>-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                    </table>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                <div class="box-footer clearfix">-->
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->